﻿using System;
using System.Collections.Generic;
using FluentValidation.Results;

namespace FluentValidationHarness
{
    class Program
    {
        static void Main(string[] args)
        {

            var personCreateRequest = new PersonCreateRequest
            {
                PersonId = Guid.NewGuid(),
                Firstname = "Tom",
                Lastname = "Travers",
                Addresses = new List<Address>() { new Address { Street = "Main", IsActive = true, IsPrimary = false, }, new Address{Street = "Boylston", IsActive = true, IsPrimary = true} },
                Phones = new List<Phone>() { new Phone { PhoneNumber = "124",  IsActive = true, IsPrimary = false } }
            };

            var validator = new PersonCreateRequestValidator();
            ValidationResult result = validator.Validate(personCreateRequest);
            
            foreach (var error in result.Errors)
            {
                Console.WriteLine(error);
            }
        }
    }
}
